Get payment by ID
curl --request GET \
--url https://api.sandbox.finsei.com/v2/payment/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v2/payment/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v2/payment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 0,
"uuid": "string",
"status": "new",
"type": "string",
"fee": {
"amount": 0,
"currencyId": "str"
},
"amount": 0,
"total": 0,
"counterparty": {
"name": "string",
"accountHolderName": "string",
"bic": "string",
"iban": "string"
},
"beneficiaryId": 0,
"walletId": 0,
"walletUuid": "string",
"icon": "CONVERT",
"entity": "PAYMENT",
"currencyId": "str",
"currencyExchangeId": 0,
"currencyExchangeUuid": "string",
"reference": "string",
"transactionAmount": 0,
"transactionCurrencyId": "str",
"transactionExchangeRate": "string",
"retrievalReferenceNumber": "string",
"rejectReason": "string",
"purposeCode": {
"code": "string",
"purpose": "string"
},
"operationType": "MAIN",
"createdAt": 1666666666999,
"updatedAt": 1666666666999,
"completedAt": 1667404598000,
"permissions": {
"canCancel": true,
"canSign": true,
"canDelete": true,
"canDownloadConfirmation": true
},
"currency": {
"id": "string",
"name": "str"
},
"currencyExchange": {
"id": 0,
"uuid": "string",
"status": "NEW",
"debitCurrencyId": "EUR",
"creditCurrencyId": "USD",
"debitAmount": 0,
"creditAmount": 0,
"fee": 0,
"total": 0,
"rate": 0,
"createdAt": 1667404598,
"createdAtMs": 1666666666999,
"updatedAtMs": 1666666666999,
"completedAt": 1667404598
},
"merchant": {
"id": 0,
"name": "string",
"externalId": "string",
"categoryCode": "stri",
"categoryName": "string",
"groupId": "string",
"groupName": "string",
"address": "string",
"url": "https://ebay.com",
"domain": "ebay.com",
"phone": "0800 358 6551",
"iconUrl": "https://ir.ebaystatic.com/pictures/aw/pics/announcements/new/logo/logo-inline.png"
},
"card": {
"id": 0,
"maskedNumber": "string"
},
"cardholder": {
"id": 0,
"name": "string",
"channel": "VISA",
"cardNumber": "string"
},
"files": [
{
"name": "5fb3ea0c68147.png",
"type": "invoice",
"url": "https://website.com/v1/payment/100/download/5fb3ea0c68147.pdf",
"originalName": "test.jpg"
}
]
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Not Found",
"message": "Page not found.",
"code": 0,
"status": 404,
"type": "yii\\web\\NotFoundHttpException"
}Endpoints
GET /v2/payment/{id}
GET
/
v2
/
payment
/
{id}
Get payment by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment ID
Response
Payment details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I